メインコンテンツまでスキップ

APIキーの詳細取得(V2)

Returns one customized ACL API key and its directly assigned roles. The secret is never returned.

GET/v2/api-keys/{apiKeyId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
apiKeyIdstringpath必要

公開APIキーID。

値の例: key-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export apiKeyId="key-xxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/api-keys/${apiKeyId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功したレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
apiKeyIdstring必要

公開APIキーID。

namestring必要

APIキーの表示名。

descriptionstring

APIキーの説明。

creatorNamestring必要

作成者の解決済み表示名。

createdBystring必要

作成者のメールアドレスまたは作成者APIキーID。

orgRolestring必要

APIキーに割り当てられた組織ロール: Owner、Member、またはBilling-Admin。

projectsarray必要

APIキーに付与されたプロジェクトレベルのアクセス権。

[]projectsobject必要
projectIdstring必要

プロジェクトID。

projectNamestring

プロジェクトの表示名。

rolestring必要

プロジェクトロール: Admin、Read-Write、またはRead-Only。

allClusterboolean

アクセスがプロジェクト内のすべてのクラスターを対象とするかどうか。

clustersarray

APIキーがアクセスできるクラスター。

[]clustersobject
clusterIdstring必要

クラスターID。

clusterNamestring必要

クラスターの表示名。

allVolumeboolean

アクセスがプロジェクト内のすべてのボリュームを対象とするかどうか。

volumesarray

APIキーがアクセスできるボリューム。

[]volumesobject
volumeIdstring必要

ボリュームID。

volumeNamestring必要

ボリュームの表示名。

createTimestring<date-time>必要

UTC ISO 8601形式の作成時刻。

失敗したレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline",
"description": "API key used by the ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"createTime": "2026-07-22T02:30:00Z",
"orgRole": "Org Viewer",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"projectName": "Project xxxx",
"role": "Data Reader",
"allCluster": true,
"clusters": [],
"allVolume": true,
"volumes": []
}
]
}
}
Ctrl I